name: figma
description: A Flutter event app
publish_to: 'none'
version: 1.6.1+17

environment:
  sdk: ">=2.17.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.2
  shared_preferences: ^2.0.15
  image_picker: ^0.8.4+3
  table_calendar: ^3.2.0
  geolocator: ^9.0.2
  geocoding: ^2.0.5
  flutter_svg: ^2.0.9
  google_maps_flutter: ^2.5.0
  url_launcher: ^6.2.1
  share_plus: ^7.2.1
  path_provider: ^2.1.0
  provider: ^6.1.2
  video_player: ^2.8.1
  cached_network_image: ^3.3.1
  razorpay_flutter: ^1.3.7
  google_sign_in: ^6.2.2
  http: ^1.2.0
  shimmer: ^3.0.0
  flutter_staggered_animations: ^1.1.1

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_launcher_icons: ^0.13.1
  flutter_native_splash: ^2.4.1

flutter:
  uses-material-design: true
  assets:
    - assets/images/
    - assets/icon/hand_stop.svg
    - assets/login-bg.mp4
    - assets/data/kerala_pincodes.json
  fonts:
    - family: Gilroy
      fonts:
        - asset: assets/fonts/Gilroy-Light.ttf
          weight: 300
        - asset: assets/fonts/Gilroy-LightItalic.ttf
          weight: 300
          style: italic
        - asset: assets/fonts/Gilroy-Regular.ttf
          weight: 400
        - asset: assets/fonts/Gilroy-RegularItalic.ttf
          weight: 400
          style: italic
        - asset: assets/fonts/Gilroy-Medium.ttf
          weight: 500
        - asset: assets/fonts/Gilroy-MediumItalic.ttf
          weight: 500
          style: italic
        - asset: assets/fonts/Gilroy-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/Gilroy-SemiBoldItalic.ttf
          weight: 600
          style: italic
        - asset: assets/fonts/Gilroy-Bold.ttf
          weight: 700
        - asset: assets/fonts/Gilroy-BoldItalic.ttf
          weight: 700
          style: italic
        - asset: assets/fonts/Gilroy-ExtraBold.ttf
          weight: 800
        - asset: assets/fonts/Gilroy-ExtraBoldItalic.ttf
          weight: 800
          style: italic


flutter_launcher_icons:
  android: true
  ios: true
  image_path: "assets/icon/app_icon.png"
  adaptive_icon_background: "#FFFFFF"
  min_sdk_android: 21

flutter_native_splash:
  color: "#FFFFFF"   
  image: assets/images/splash_icon.png

  android_12:
    color: "#FFFFFF"
    image: assets/images/splash_icon.png
